/[LeafOK_CVS]/lbbs/configure
ViewVC logotype

Diff of /lbbs/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.8 by sysadm, Tue Nov 30 07:10:31 2004 UTC Revision 1.9 by sysadm, Sun Mar 13 08:21:02 2005 UTC
# Line 309  ac_includes_default="\ Line 309  ac_includes_default="\
309  # include <unistd.h>  # include <unistd.h>
310  #endif"  #endif"
311    
312  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP LIBOBJS LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP LIBOBJS LTLIBOBJS'
313  ac_subst_files=''  ac_subst_files=''
314    
315  # Initialize some variables set by options.  # Initialize some variables set by options.
# Line 1307  ac_compiler_gnu=$ac_cv_c_compiler_gnu Line 1307  ac_compiler_gnu=$ac_cv_c_compiler_gnu
1307    
1308    
1309    
1310  am__api_version="1.8"  am__api_version="1.9"
1311  ac_aux_dir=  ac_aux_dir=
1312  for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do  for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
1313    if test -f $ac_dir/install-sh; then    if test -f $ac_dir/install-sh; then
# Line 1484  echo "$as_me: WARNING: \`missing' script Line 1484  echo "$as_me: WARNING: \`missing' script
1484  fi  fi
1485    
1486  if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then  if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
1487    # Keeping the `.' argument allows $(mkdir_p) to be used without    # We used to keeping the `.' as first argument, in order to
1488    # argument.  Indeed, we sometimes output rules like    # allow $(mkdir_p) to be used without argument.  As in
1489    #   $(mkdir_p) $(somedir)    #   $(mkdir_p) $(somedir)
1490    # where $(somedir) is conditionally defined.    # where $(somedir) is conditionally defined.  However this is wrong
1491    # (`test -n '$(somedir)' && $(mkdir_p) $(somedir)' is a more    # for two reasons:
1492    # expensive solution, as it forces Make to start a sub-shell.)    #  1. if the package is installed by a user who cannot write `.'
1493    mkdir_p='mkdir -p -- .'    #     make install will fail,
1494      #  2. the above comment should most certainly read
1495      #     $(mkdir_p) $(DESTDIR)$(somedir)
1496      #     so it does not work when $(somedir) is undefined and
1497      #     $(DESTDIR) is not.
1498      #  To support the latter case, we have to write
1499      #     test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
1500      #  so the `.' trick is pointless.
1501      mkdir_p='mkdir -p --'
1502  else  else
1503    # On NextStep and OpenStep, the `mkdir' command does not    # On NextStep and OpenStep, the `mkdir' command does not
1504    # recognize any option.  It will interpret all options as    # recognize any option.  It will interpret all options as
# Line 1634  AUTOHEADER=${AUTOHEADER-"${am_missing_ru Line 1642  AUTOHEADER=${AUTOHEADER-"${am_missing_ru
1642    
1643  MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}  MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
1644    
   
 AMTAR=${AMTAR-"${am_missing_run}tar"}  
   
1645  install_sh=${install_sh-"$am_aux_dir/install-sh"}  install_sh=${install_sh-"$am_aux_dir/install-sh"}
1646    
1647  # Installed binaries are usually stripped using `strip' when the user  # Installed binaries are usually stripped using `strip' when the user
# Line 1729  INSTALL_STRIP_PROGRAM="\${SHELL} \$(inst Line 1734  INSTALL_STRIP_PROGRAM="\${SHELL} \$(inst
1734    
1735  # We need awk for the "check" target.  The system "awk" is bad on  # We need awk for the "check" target.  The system "awk" is bad on
1736  # some platforms.  # some platforms.
1737    # Always define AMTAR for backward compatibility.
1738    
1739    AMTAR=${AMTAR-"${am_missing_run}tar"}
1740    
1741    am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
1742    
1743    
1744    
1745    
1746    
# Line 2802  else Line 2814  else
2814         grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&         grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
2815         ${MAKE-make} -s -f confmf > /dev/null 2>&1; then         ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
2816        # icc doesn't choke on unknown options, it will just issue warnings        # icc doesn't choke on unknown options, it will just issue warnings
2817        # (even with -Werror).  So we grep stderr for any message        # or remarks (even with -Werror).  So we grep stderr for any message
2818        # that says an option was ignored.        # that says an option was ignored or not supported.
2819        if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else        # When given -MP, icc 7.0 and 7.1 complain thusly:
2820          #   icc: Command line warning: ignoring option '-M'; no argument required
2821          # The diagnosis changed in icc 8.0:
2822          #   icc: Command line remark: option '-MP' not supported
2823          if (grep 'ignoring option' conftest.err ||
2824              grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
2825          am_cv_CC_dependencies_compiler_type=$depmode          am_cv_CC_dependencies_compiler_type=$depmode
2826          break          break
2827        fi        fi
# Line 3808  _ACEOF Line 3825  _ACEOF
3825    
3826  fi  fi
3827    
3828    echo "$as_me:$LINENO: checking whether struct tm is in sys/time.h or time.h" >&5
3829    echo $ECHO_N "checking whether struct tm is in sys/time.h or time.h... $ECHO_C" >&6
3830    if test "${ac_cv_struct_tm+set}" = set; then
3831      echo $ECHO_N "(cached) $ECHO_C" >&6
3832    else
3833      cat >conftest.$ac_ext <<_ACEOF
3834    /* confdefs.h.  */
3835    _ACEOF
3836    cat confdefs.h >>conftest.$ac_ext
3837    cat >>conftest.$ac_ext <<_ACEOF
3838    /* end confdefs.h.  */
3839    #include <sys/types.h>
3840    #include <time.h>
3841    
3842    int
3843    main ()
3844    {
3845    struct tm *tp; tp->tm_sec;
3846      ;
3847      return 0;
3848    }
3849    _ACEOF
3850    rm -f conftest.$ac_objext
3851    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3852      (eval $ac_compile) 2>conftest.er1
3853      ac_status=$?
3854      grep -v '^ *+' conftest.er1 >conftest.err
3855      rm -f conftest.er1
3856      cat conftest.err >&5
3857      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3858      (exit $ac_status); } &&
3859             { ac_try='test -z "$ac_c_werror_flag"
3860                             || test ! -s conftest.err'
3861      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3862      (eval $ac_try) 2>&5
3863      ac_status=$?
3864      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3865      (exit $ac_status); }; } &&
3866             { ac_try='test -s conftest.$ac_objext'
3867      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3868      (eval $ac_try) 2>&5
3869      ac_status=$?
3870      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3871      (exit $ac_status); }; }; then
3872      ac_cv_struct_tm=time.h
3873    else
3874      echo "$as_me: failed program was:" >&5
3875    sed 's/^/| /' conftest.$ac_ext >&5
3876    
3877    ac_cv_struct_tm=sys/time.h
3878    fi
3879    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3880    fi
3881    echo "$as_me:$LINENO: result: $ac_cv_struct_tm" >&5
3882    echo "${ECHO_T}$ac_cv_struct_tm" >&6
3883    if test $ac_cv_struct_tm = sys/time.h; then
3884    
3885    cat >>confdefs.h <<\_ACEOF
3886    #define TM_IN_SYS_TIME 1
3887    _ACEOF
3888    
3889    fi
3890    
3891    
3892  # Checks for library functions.  # Checks for library functions.
3893  echo "$as_me:$LINENO: checking for pid_t" >&5  echo "$as_me:$LINENO: checking for pid_t" >&5
# Line 5822  s,@AUTOCONF@,$AUTOCONF,;t t Line 5902  s,@AUTOCONF@,$AUTOCONF,;t t
5902  s,@AUTOMAKE@,$AUTOMAKE,;t t  s,@AUTOMAKE@,$AUTOMAKE,;t t
5903  s,@AUTOHEADER@,$AUTOHEADER,;t t  s,@AUTOHEADER@,$AUTOHEADER,;t t
5904  s,@MAKEINFO@,$MAKEINFO,;t t  s,@MAKEINFO@,$MAKEINFO,;t t
 s,@AMTAR@,$AMTAR,;t t  
5905  s,@install_sh@,$install_sh,;t t  s,@install_sh@,$install_sh,;t t
5906  s,@STRIP@,$STRIP,;t t  s,@STRIP@,$STRIP,;t t
5907  s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t  s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
# Line 5831  s,@mkdir_p@,$mkdir_p,;t t Line 5910  s,@mkdir_p@,$mkdir_p,;t t
5910  s,@AWK@,$AWK,;t t  s,@AWK@,$AWK,;t t
5911  s,@SET_MAKE@,$SET_MAKE,;t t  s,@SET_MAKE@,$SET_MAKE,;t t
5912  s,@am__leading_dot@,$am__leading_dot,;t t  s,@am__leading_dot@,$am__leading_dot,;t t
5913    s,@AMTAR@,$AMTAR,;t t
5914    s,@am__tar@,$am__tar,;t t
5915    s,@am__untar@,$am__untar,;t t
5916  s,@CC@,$CC,;t t  s,@CC@,$CC,;t t
5917  s,@CFLAGS@,$CFLAGS,;t t  s,@CFLAGS@,$CFLAGS,;t t
5918  s,@LDFLAGS@,$LDFLAGS,;t t  s,@LDFLAGS@,$LDFLAGS,;t t
# Line 6228  echo X"$mf" | Line 6310  echo X"$mf" |
6310    else    else
6311      continue      continue
6312    fi    fi
6313    grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue    # Extract the definition of DEPDIR, am__include, and am__quote
6314    # Extract the definition of DEP_FILES from the Makefile without    # from the Makefile without running `make'.
   # running `make'.  
6315    DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`    DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
6316    test -z "$DEPDIR" && continue    test -z "$DEPDIR" && continue
6317      am__include=`sed -n 's/^am__include = //p' < "$mf"`
6318      test -z "am__include" && continue
6319      am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
6320    # When using ansi2knr, U may be empty or an underscore; expand it    # When using ansi2knr, U may be empty or an underscore; expand it
6321    U=`sed -n 's/^U = //p' < "$mf"`    U=`sed -n 's/^U = //p' < "$mf"`
6322    test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"    # Find all dependency output files, they are included files with
6323    # We invoke sed twice because it is the simplest approach to    # $(DEPDIR) in their names.  We invoke sed twice because it is the
6324    # changing $(DEPDIR) to its actual value in the expansion.    # simplest approach to changing $(DEPDIR) to its actual value in the
6325    for file in `sed -n '    # expansion.
6326      /^DEP_FILES = .*\\\\$/ {    for file in `sed -n "
6327        s/^DEP_FILES = //      s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
       :loop  
         s/\\\\$//  
         p  
         n  
         /\\\\$/ b loop  
       p  
     }  
     /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \  
6328         sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do         sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
6329      # Make sure the directory exists.      # Make sure the directory exists.
6330      test -f "$dirpart/$file" && continue      test -f "$dirpart/$file" && continue


Legend:
Removed lines/characters  
Changed lines/characters
  Added lines/characters

webmaster@leafok.com
ViewVC Help
Powered by ViewVC 1.3.0-beta1